cURL
curl --request GET \
--url https://api.axiom.co/v2/tokens/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.axiom.co/v2/tokens/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.axiom.co/v2/tokens/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"datasetCapabilities": {},
"id": "<string>",
"name": "<string>",
"orgCapabilities": {
"annotations": [],
"apiTokens": [],
"auditLog": [
"read"
],
"billing": [],
"dashboards": [],
"datasets": [],
"endpoints": [],
"flows": [],
"integrations": [],
"monitors": [],
"notifiers": [],
"rbac": [],
"sharedAccessKeys": [],
"users": [],
"views": []
},
"description": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"samlAuthenticated": true,
"viewCapabilities": {}
}Retrieve API token
Get API token by ID
GET
/
tokens
/
{id}
cURL
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Response
200 - application/json
Token
Show child attributes
Show child attributes
ID of the token
Name of the token
Show child attributes
Show child attributes
Description of the token
Expiration date of the token (ISO 8601 format)
Show child attributes
Show child attributes
Was this page helpful?
⌘I